/* Import Google Web Font */
@import url(https://fonts.googleapis.com/earlyaccess/notosanstc.css);

/* Show it is fixed to the top */
body {
	/* font-family: "Noto Sans TC", sans-serif !important; */
	font-weight: normal;
    -webkit-font-smoothing: antialiased !important;
    -moz-osx-font-smoothing: grayscale !important;
    /*padding-top:50px;*/
}
.card-text a {
	color: #979797 !important;
}

.form-control-md {
    padding: .5rem 0.75rem;
    font-size: 1.0625rem;
    line-height: 1.5;
    border-radius: .3rem;
}

#main-content {
    min-height: calc(100vh - 86px);
}

/* Line Hight */
.lh-25 {
	line-height: 25px;
}
.lh-35 {
	line-height: 35px;
}
.lh-48 {
	line-height: 48px;
}

/* Link Style */
.link-disabled {
	pointer-events: none;
	cursor: default;
	text-decoration: none;
}
.link-hidden {
	display: none;
}

/* Font Size */
.fs-11 {
	font-size: 11px !important;
}
.fs-13 {
	font-size: 13px !important;
}
.fs-15 {
	font-size: 15px !important;
}
.fs-17 {
	font-size: 17px !important;
}
.fs-19 {
	font-size: 19px !important;
}
.fs-21 {
	font-size: 21px !important;
}
.fs-23 {
	font-size: 23px !important;
}

/* Scroll To Top */
#myBtn {
	display: none;
	position: fixed;
	bottom: 20px;
	right: 30px;
	z-index: 99;
	font-size: 0.9375em;
	border: none;
	outline: none;
	background-color: rgba(255,255,255,0.85);
	border: 1px solid #DFDFDF;
	color: #2390FF;
	cursor: pointer;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	text-align: center;
	vertical-align: middle;
	box-shadow: rgba(0, 5, 0, 0.5) 0px 1px 2px 0px;
}

#myBtn:hover {
    background-color: rgba(255,255,255,1.00);
}

/* Breadcrumb */
.breadcrumb a:hover {
	color: #007bff !important;
}

/* Maring & Padding */
.mt--1 {
	margin-top: -.25rem;
}
.mt--2 {
	margin-top: -.5rem;
}
.mt--3 {
	margin-top: -1rem;
}
.mt--4 {
	margin-top: -1.5rem;
}
.mt--5 {
	margin-top: -3rem;
}

/* JYIC LOGO */
.cd-logo {
    line-height: 88px;
}
.logo {
    height: 100%;
}
.logo img {
	height: 44px;
	margin-top: 23px;
}
.logo .brandName {
    display: inline-block;
    line-height: 90px;
    text-decoration: none;
    color: #fff;
    font-size: 1.5rem;
    font-weight: bold;
}
.logo .brandName:hover,
.logo .brandName:focus,
.logo .brandName:active{
	text-decoration: none;
	color:#fff;
}
.logo > * {
    vertical-align: baseline;
    float: left;
}
.logo a,.logo a:hover {
	color: #fff !important;
}

/* Nav */
.navbar-brand {
	padding-top: 0px !important;
	padding-bottom: 0px !important;
}
.navbar {
	height: 90px;
	z-index: 100;
	box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 2px 0px;
	background-color: hsl(211, 82%, 49%) !important;
	z-index: 1000;
	
}
/*
.navbar {
	height: 90px;
	z-index: 100;
	box-shadow: rgba(0, 0, 0, 0.2) 0px 1px 2px 0px;
	background-color: rgba(0,171,255,1.00);
	z-index: 1000;
	
}
*/
.nav-item a {
	color: #fff !important;
}
.nav-item-2 a  {
	color: #007bff !important;
}
.nav-item-2 .active:hover  {
	color: #fff !important;
}
.mobile_header-icon-left {
	width: 56px;
	height: 56px;
	text-align: center;
	vertical-align: middle;
	font-size: 17px;
	line-height: 56px;
	color: #fff;
	position: fixed;
	left: 0px !important;
	top: 0px !important;
}
.mobile_header-icon-right {
	width: 56px;
	height: 56px;
	text-align: center;
	vertical-align: middle;
	font-size: 17px;
	line-height: 56px;
	color: #fff;
	position: fixed;
	right: 0px !important;
	top: 0px !important;
}
.dropdown-menu a {
	color: #333 !important;	
}
.dropdown-menu a:hover {
	color: #007bff !important;	
}
.mobile_navbar {
	color: #fff;
	height: 56px;
	border-radius: 0px !important;
	padding: 0px 0px !important;
	background-color: hsl(211, 82%, 49%) !important;
	/*background-color: #009EA7 !important;*/
}
.mobile_footer.btn-primary {
	background-color: #1472bc!important;
}
.mobile_navbar img {
	height: 38px;
	line-height: 56px;
	margin-top: 9px;
	vertical-align: middle;
}
.mobile-title {
	font-size: 19px;
	color: #ffffff;
	line-height: 56px;
}

/*
.btn-primary {
    background-color: #009EA7 !important;
    border-color: #009EA7 !important;
}
*/
/* Breadcrumb */
.breadcrumb a {
	color: #007bff;
}

/* User Photo */
.small-avatar {
    float: left;
    height: 32px;
    clear: none;
    width: 32px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    border-bottom-right-radius: 100px;
    border-bottom-left-radius: 100px;
    border: 1px solid #e4e4e4;
    display: block;
    position: relative;
    background-image: url(../img/avatar_circle_blue.png);
    background-size: cover;
    background-position: 0 0;
    background-repeat: no-repeat no-repeat;
	margin-top: 29px;
}
.bg-cover {
    background-size: cover;
    background-position: center;
    overflow: hidden;
}
.activity-img-size {
    object-fit: cover;
    width: 100%;
    height: 100%;
		line-height: 90px;
}
.img-responsive {
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.header_user {
	height: 90px;
	float: right;
}
.header_photo-user-32 {
	width: 32px !important;
	height: 32px !important;
	vertical-align: middle !important;
}
.avatar-48 {
    float: left;
    height: 48px;
    clear: none;
    width: 48px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    border-bottom-right-radius: 100px;
    border-bottom-left-radius: 100px;
    border: 1px solid #e4e4e4;
    display: block;
    position: relative;
    background-image: url(../img/avatar_circle_blue.png);
    background-size: cover;
    background-position: 0 0;
    background-repeat: no-repeat no-repeat;
}
.avatar-away tip {
    background-color: #f44336;
}
.avatar tip {
    position: absolute;
	top: 52px;
    right: 68px;
    bottom: 0;
    width: 10px;
    height: 10px;
    border: 2px solid #fff;
    border-radius: 100%;
	z-index: 900;
}
.avatar-away mobiletip {
    background-color: #f44336;
}
.avatar mobiletip {
    position: absolute;
	top: 30%;
    right: 35%;
    bottom: 0;
    width: 10px;
    height: 10px;
    border: 2px solid #fff;
    border-radius: 100%;
	z-index: 900;
}
.header_user-name, .header_user-name a, .header_user-name a:hover {
	color: #fff;
	font-size: 15px;
	line-height: 90px;
	text-decoration: none !important;
}


/* Main Header */
.main-header {
	margin: 2rem 0 1rem 0;
}

.title-h {
	line-height: 38px;
}

/* Main Content */
.be-booking-desc h4 {
    font-weight: 200;	
}
.main_content h2 {
	font-size: 1.5625em;
	font-weight: 400;
}
.main_content-title {
	font-size: 21px !important;
	height: 21px;
	overflow : hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	margin-bottom: 10px;
	-moz-binding: url('ellipsis.xml#ellipsis');
	white-space:nowrap;  
}
.main_content-subtitle {
	font-size: 15px !important;
	color: #979797 !important;
}
.main_content a:hover {
	color: #007bff !important;
}


/* Check Info */
.check-box {
	height: 64px;
}
.check-pw {
	width: 100px !important;
}


/* Info Box */
.be-booking-promo {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    border-radius: 3px;
    background-color: #fff;
    border-left: 3px solid #4285f4;
    padding: 10px 15px 10px;
}
.be-booking-desc {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
}
.be-booking-desc-title {
    padding-bottom: 15px;
    font-size: 1.538rem;
}
.be-booking-desc-details {
    font-size: 1.077rem;
}
.be-booking-promo-amount {
    position: relative;
    margin: 3px 0 19px;
}
.be-booking-promo.be-booking-promo-success {
    border-left-color: #34a853;
}
.info-box a {
	color: #007bff !important;
}


/* Birthday */
.user-photo-32 {
	width: 32px;
	height: 32px;
}

.user-photo-48 {
	width: 48px;
	height: 48px;
    border-radius:24px;
}
.date-birthday {
	font-size: 12px;
	color: #979797 !important;
}
.birthday_box {
	margin: 10px 5px;
	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-pack: center;
	-webkit-box-align: center;

	display: -moz-box;
	-moz-box-orient: horizontal;
	-moz-box-pack: center;
	-moz-box-align: center;

	display: -o-box;
	-o-box-orient: horizontal;
	-o-box-pack: center;
	-o-box-align: center;

	display: -ms-box;
	-ms-box-orient: horizontal;
	-ms-box-pack: center;
	-ms-box-align: center;

	display: box;
	box-orient: horizontal;
	box-pack: center;
	box-align: center;
}
.birthday_box-mane {
	font-size: 15px;
	font-weight: bolder;
	margin-bottom: 3px;
}
.present-icon {
	max-height: 100px;
}


/* Work List */
.card-img-top {
	overflow: hidden;
}
.card-title {
	font-size: 17px;
	font-weight: 600;
	height: 17px;
}
.card-text {
	font-size: 15px;
	color: #979797 !important;
}

.mobile_card-img-top {
	height: 43px;
	width: auto;
	overflow: hidden;
}


/* Badge */
.badge-5bc0de {
	background-color: #5bc0de !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-e91e63 {
	background-color: #e91e63 !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-8bc34a {
	background-color: #8bc34a !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-f44336 {
	background-color: #f44336 !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-795548 {
	background-color: #795548 !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-2196f3 {
	background-color: #2196f3 !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}
.badge-ff9800 {
	background-color: #ff9800 !important;
	width: 180px;
	color: #fff;
	font-size: 13px;
	font-weight: 300;
}

/* Info List */
.info_box a {
	color: #007bff !important;
}
.nav-link {
	border-radius: 15px !important;
}
.nav-link.active {
	border-radius: 15px !important;
}
.nav-link.active, .nav-item a.active {
	color: #fff !important;
}


/* Alert */
.alert-mobile {
	line-height: 24px !important;
}

/* Footer */
footer, footer a, footer a:hover {
	color: #fff;
	text-decoration: none !important;
	border-radius: 0rem !important;
}
footer {
	background-color: #1472bc;
}

.mobile_footer {
	height: 56px;
	background-color: #1472bc !important;
	border: 1px solid rgba(255,255,255,.35)
}
/*
.mobile_footer {
	height: 56px;
	background-color: #009EA7 !important;
	border: 1px solid rgba(255,255,255,.35)
}
*/

.mobile_footer-font {
	text-align: center !important;
	font-size: 14px !important;
}
.mobile_footer-tools {
	line-height: 56px;
	color: #fff;
}
.btn-group-justified {
	display: table;
	width: 100%;
	table-layout: fixed;
	border-collapse: separate;
}
.btn-group-justified .btn,
.btn-group-justified .btn-group {
	float: none;
	display: table-cell;
	width: 1%; 
}
.btn-group-justified .btn .btn,
.btn-group-justified .btn-group .btn {
	width: 100%; 
}
.btn-group-justified .btn .dropdown-menu,
.btn-group-justified .btn-group .dropdown-menu {
	left: auto; 
}
.btn-group-justified .btn-group .active {
	background-color: #0050A6 !important;
}

/* Drag & Drop */
.item {
	margin: 15px 0;
	padding: 0 0 0 0;
	min-width: 200px;
	background-color: #fff;
	border: 1px solid rgba(0,0,0,.1);
	border-radius: 3px;
	font-size: 1.1875em;
	line-height: 2.375em;
	display: flex;
}

.handler {
	display: inline-block;
	width: 30px;
	margin-right: 0px;
	border-radius: 3px 0 0 3px;
	background: url('../kendo/content/web/sortable/handle.png') no-repeat 50% 50% #ccc;
	cursor: move;
}

.handler:hover {
	background-color: #007bff;
}

.placeholder {
	width: 320px !important;
	border: 1px solid #007bff;
}

.hint {
	border: 2px solid #007bff;
	border-radius: 6px;
	box-shadow: 0px 3px 5px rgba(0,0,0,.55);
}

.hint .handler {
	background-color: #007bff;
}

/* Switch */
.onoffswitch {
	float: right;
    position: relative;
	width: 90px;
	margin: 6px 10px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
.onoffswitch-checkbox {
    display: none;
}
.onoffswitch-label {
    display: block;
	overflow: hidden;
	cursor: pointer;
    border: 2px solid #999999;
	border-radius: 20px;
}
.onoffswitch-inner {
    display: block;
	width: 200%;
	margin-left: -100%;
    -moz-transition: margin 0.3s ease-in 0s;
	-webkit-transition: margin 0.3s ease-in 0s;
    -o-transition: margin 0.3s ease-in 0s;
	transition: margin 0.3s ease-in 0s;
}
.onoffswitch-inner:before, .onoffswitch-inner:after {
    display: block;
	float: left;
	width: 50%;
	height: 30px;
	padding: 0;
	line-height: 30px;
    font-size: 14px;
	color: white;
    -moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
.onoffswitch-inner:before {
    content: "é¡¯ç¤º";
    padding-left: 22px;
    background-color: #2FCCFF;
	color: #FFFFFF;
}
.onoffswitch-inner:after {
    content: "éš±è—";
    background-color: #EEEEEE;
	color: #999999;
	padding-left: 35px;
}
.onoffswitch-switch {
    display: block;
	width: 18px;
	margin: 6px;
    background: #FFFFFF;
    border: 2px solid #999999;
	border-radius: 20px;
    position: absolute;
	top: 0;
	bottom: 0;
	right: 56px;
    -moz-transition: all 0.3s ease-in 0s;
	-webkit-transition: all 0.3s ease-in 0s;
    -o-transition: all 0.3s ease-in 0s;
	transition: all 0.3s ease-in 0s; 
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
    margin-left: 0;
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
    right: 0px; 
}

.item-title {
    width: 80% !important;
	display: inline-block;
}

.web-icon {
	position: relative;
	width: 60px;
	height: 60px;
	vertical-align: middle;
}
.web-icon img {
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
}
.web-name {
	font-size: 19px;
	height: 60px;
	line-height: 60px;
}

.badge-pill {
    padding: 3px 6px !important;
}

/* RWD */
@media all and (max-width: 320px){
#main-content {
    min-height: calc(100vh - 0px);
}
}
@media all and (max-width: 375px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px !important;
}
}
@media all and (max-width: 411px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px !important;
}
}
@media all and (max-width: 414px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px !important;
}
}
@media all and (max-width: 731px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px !important;
}
}


@media all and (max-width: 767px){
/* Scroll To Top */
#myBtn {
	display: none;
	position: fixed;
	bottom: 66px;
	right: 10px;
	z-index: 99;
	font-size: 0.9375em;
	border: none;
	outline: none;
	background-color: rgba(187,187,187,0.3);
	color: #3c3c3c;
	cursor: pointer;
	border-radius: 50%;
	width: 48px;
	height: 48px;
	text-align: center;
	vertical-align: middle;
}
.be-booking-desc-title {
    padding-bottom: 8px;
    font-size: 1.0625em;
}
.be-booking-desc-details {
    font-size: 0.8125em;
}
.main-header {
	margin: 1rem 0 0.625rem 0;
}
.main_content h2 {
    font-size: 1.1875em;
}
.item {
	font-size: 0.9375em;
	line-height: 1.875em;
}
.item-title {
    width: 70% !important;
}
}

@media all and (max-width: 768px){
.logo img {
    padding: 0.5rem;
	margin: 1rem 0.5rem;
}
.navbar-brand .brandName {
	font-size: 0.9375em !important;
}
.dnd-title {
	font-size: 13px;
}
.item-title {
    width: 70% !important;
}
#myBtn {
	display: none !important;
}
}

@media only screen and (max-width: 800px) {
        /* Force table to not be like tables anymore */
        #no-more-tables table,
        #no-more-tables thead,
        #no-more-tables tbody,
        #no-more-tables th,
        #no-more-tables td,
        #no-more-tables tr {
        display: block;
        }
         
        /* Hide table headers (but not display: none;, for accessibility) */
        #no-more-tables thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
        }
         
        #no-more-tables tr { border: 1px solid #ccc; }
          
        #no-more-tables td {
        /* Behave like a "row" */
        border: none;
        border-bottom: 1px solid #eee;
        position: relative;
        padding-left: 50%;
        white-space: normal;
        text-align:left;
        }
         
        #no-more-tables td:before {
        /* Now like a table header */
        position: absolute;
        /* Top/left values mimic padding */
/*        top: 6px;*/
        left: 6px;
        width: 45%;
        padding-right: 10px;
        white-space: nowrap;
        text-align:left;
        font-weight: bold;
        }
         
        /*
        Label the data
        */
        #no-more-tables td:before { content: attr(data-title); }
        }

@media all and (max-width: 1024px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px;
}
}
@media all and (max-width: 1366px){
#main-content {
    min-height: calc(100vh - 0px);
	margin-top: 0px;
}
}

/* Jyic Colors */
.bg-jyic {
	/*background-color: #009EA7 !important;*/
}
.fc-jyic {
	/*color: #009EA7 !important;*/
}

/* Table */
td, th {
	text-align: center;
	vertical-align: middle !important;
}
td:before {
	content: attr(data-title);
	position: absolute;
	left: 6px;
	font-weight: bold;
	vertical-align: middle !important;
}
table a, .card h5 {
	color: #333 !important;
}
table a:hover, .card h5:hover {
	color: #007bff !important;
	text-decoration: underline !important;
}

/* Files Upload Covers */
.fileCoverBox {
	border: 1px solid rgba(0,0,0,0.15);
	height: 58px;
	line-height: 54px;
	width: 58px;
	overflow: hidden;
}
.fileCoverBox img {
	height: auto;
	width: auto;
	max-height: 56px;
	max-width: 56px;
	vertical-align: middle;
}
.fileName {
	text-align: left;
}
@media only screen and (max-width: 1024px){
	.sourceHide {
		display: none;
	}
}
@media only screen and (max-width: 568px){
	.fileCoverBox {
		border: 1px solid rgba(0,0,0,0.15);
		height: 38px;
		line-height: 30px;
		width: 38px;
		overflow: hidden;
	}
	.fileCoverBox img {
		height: auto;
		width: auto;
		max-height: 36px;
		max-width: 36px;
		vertical-align: middle;
	}
}